package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallDevice;

/**
 * 设备Mapper接口
 *
 * @author LCL
 * @date 2024-03-17
 */
public interface MallDeviceMapper
{
    /**
     * 查询设备
     *
     * @param deviceId 设备主键
     * @return 设备
     */
    public MallDevice selectMallDeviceByDeviceId(Long deviceId);

    /**
     * 查询设备列表
     *
     * @param mallDevice 设备
     * @return 设备集合
     */
    public List<MallDevice> selectMallDeviceList(MallDevice mallDevice);

    /**
     * 新增设备
     *
     * @param mallDevice 设备
     * @return 结果
     */
    public int insertMallDevice(MallDevice mallDevice);

    /**
     * 修改设备
     *
     * @param mallDevice 设备
     * @return 结果
     */
    public int updateMallDevice(MallDevice mallDevice);

    /**
     * 删除设备
     *
     * @param deviceId 设备主键
     * @return 结果
     */
    public int deleteMallDeviceByDeviceId(Long deviceId);

    /**
     * 批量删除设备
     *
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallDeviceByDeviceIds(Long[] deviceIds);

    /**
     * APP查询设备列表
     *
     * @param params 参数
     * @return 设备集合
     */
    public List<Map<String, Object>> selectAppMallDeviceList(Map<String, Object> params);

    /**
     * APP查询弹箱统计列表
     *
     * @param params 参数
     * @return 设备集合
     */
    public List<Map<String, Object>> selectAppMallDeviceBoxList(Map<String, Object> params);

    /**
     * 根据序列号查询设备
     *
     * @param serialNumber 序列号
     * @return 设备
     */
    public MallDevice selectMallDeviceBySerialNumber(String serialNumber);
}
